#!/bin/bash

# bash Calc_COMRADE_score.sh
export PATH=$PATH:/Users/yan/DownloadedApps/comrades-master/bin
echo $PATH
Hyb_dir="/Volumes/HiR/ifa_SPLASH/hyb"
Fasta_dir="../../refgenome"
DB=NC_002023
Genome_fasta=${DB}.fasta

mkdir ../comrades_score
cd ../comrades_score
# options
SAMPLES=(SRR9637504 SRR9637505 SRR9637507 SRR9637508 SRR9637509 SRR9637510)
#SAMPLES=(test)
# 
for FILE in ${SAMPLES[*]};do
# make dir
	mkdir $FILE
	cd $FILE
# make Constraints
#zcat ${Hyb_dir}${FILE}_R2_comp_SARS-CoV-2_no_polyA_hybrids_ua.hyb.gz > 
cat ${Hyb_dir}/${FILE}/${FILE}.fastp_IFA_PR8_hybrids_ua.hyb.gz|zcat|grep "NC_002023" >  ${FILE}.hyb

cp ${Fasta_dir}/${Genome_fasta} ${Genome_fasta}
comradesMakeConstraints -i ${FILE}.hyb -f ${Genome_fasta}   -b 1 -e 2341
# ${FILE}.hyb
cd ..
done