

# Background
HiCapR is a new RNA proximity ligation based method to detect RNA-RNA interactions, integrating a hybridization-based capture of HIV sequence after library construction, resulting in a new method called **Hi**gh throughput **Cap**turing **R**NA interaction analysis (HiCapR). This advancement enabled the comprehensive capture and analysis of the complete HIV RNA genome using HiCapR.

The major bioinformatic pipeline is adopted from previous established tools:

data preprocessing and chimeric reads identification:https://github.com/gkudla/hyb and https://github.com/zany1983/simplifed_SPLASH

calculating base pairing score: https://github.com/gkudla/comrades



Here in this repostitary, we  provide scripts regarding to our manuscript "Mapping HIV-1 RNA Structure, Homodimers, and Long-Range Interactions by HiCapR"



# Prerequisites
Linux operating system
Perl 5
python3
R(3.5 and above)

R packages: data.table, dplyr, ggplot2,ggrepel, ggbreak, pheatmap,

